Histórico de entregas
https://sandbox-api.rebornpay.io/v1/sellers/{sellerId}/webhooks/deliveriesAuth obrigatóriaLista o histórico de entregas de eventos para o seller. Inclui status, tentativas e corpo das respostas.
Headers
X-Api-KeystringrequiredAPI Key do seller (header)
Path Parameters
sellerIdstringrequiredQuery Parameters
pageintegeroptionallimitintegeroptionalResponses
200Histórico de entregas
itemsarrayrequiredidstring · uuidrequiredUUID da entrega
Example: 3fa85f64-5717-4562-b3fc-2c963f66afa6
webhookIdstring · uuidrequiredUUID do webhook
Example: a1b2c3d4-e5f6-7890-abcd-ef1234567890
webhookUrlstringrequiredURL que recebeu a notificação
Example: https://seuservidor.com/webhooks/rebornpay
eventTypestringrequiredTipo do evento entregue
Example: TRANSACTION_PAID
statusstring · enumrequiredStatus da entrega
Example: DELIVERED
PENDINGDELIVEREDFAILEDattemptCountinteger · int32requiredNúmero de tentativas realizadas
Example: 1
maxAttemptsinteger · int32requiredMáximo de tentativas configurado
Example: 5
nextAttemptAtstring · date-timeoptionalPróxima tentativa agendada (nulo se não há retry)
lastAttemptAtstring · date-timeoptionalData da última tentativa
lastResponseStatusinteger · int32optionalHTTP status da última resposta do seu servidor
Example: 200
lastResponseBodystringoptionalBody da última resposta (truncado a 1000 caracteres)
Example: {"received":true}
lastErrorstringoptionalMensagem de erro da última tentativa falha
Example: Connection refused
createdAtstring · date-timerequiredData de criação da entrega (UTC)
pageinteger · int32requiredsizeinteger · int32requiredtotalItemsinteger · int64requiredtotalPagesinteger · int64requiredhasNextbooleanrequiredhasPreviousbooleanrequiredisFirstbooleanrequiredisLastbooleanrequired401API Key ausente ou inválida
itemsarrayrequiredidstring · uuidrequiredUUID da entrega
Example: 3fa85f64-5717-4562-b3fc-2c963f66afa6
webhookIdstring · uuidrequiredUUID do webhook
Example: a1b2c3d4-e5f6-7890-abcd-ef1234567890
webhookUrlstringrequiredURL que recebeu a notificação
Example: https://seuservidor.com/webhooks/rebornpay
eventTypestringrequiredTipo do evento entregue
Example: TRANSACTION_PAID
statusstring · enumrequiredStatus da entrega
Example: DELIVERED
PENDINGDELIVEREDFAILEDattemptCountinteger · int32requiredNúmero de tentativas realizadas
Example: 1
maxAttemptsinteger · int32requiredMáximo de tentativas configurado
Example: 5
nextAttemptAtstring · date-timeoptionalPróxima tentativa agendada (nulo se não há retry)
lastAttemptAtstring · date-timeoptionalData da última tentativa
lastResponseStatusinteger · int32optionalHTTP status da última resposta do seu servidor
Example: 200
lastResponseBodystringoptionalBody da última resposta (truncado a 1000 caracteres)
Example: {"received":true}
lastErrorstringoptionalMensagem de erro da última tentativa falha
Example: Connection refused
createdAtstring · date-timerequiredData de criação da entrega (UTC)
pageinteger · int32requiredsizeinteger · int32requiredtotalItemsinteger · int64requiredtotalPagesinteger · int64requiredhasNextbooleanrequiredhasPreviousbooleanrequiredisFirstbooleanrequiredisLastbooleanrequired403Sem permissão para acessar este seller
itemsarrayrequiredidstring · uuidrequiredUUID da entrega
Example: 3fa85f64-5717-4562-b3fc-2c963f66afa6
webhookIdstring · uuidrequiredUUID do webhook
Example: a1b2c3d4-e5f6-7890-abcd-ef1234567890
webhookUrlstringrequiredURL que recebeu a notificação
Example: https://seuservidor.com/webhooks/rebornpay
eventTypestringrequiredTipo do evento entregue
Example: TRANSACTION_PAID
statusstring · enumrequiredStatus da entrega
Example: DELIVERED
PENDINGDELIVEREDFAILEDattemptCountinteger · int32requiredNúmero de tentativas realizadas
Example: 1
maxAttemptsinteger · int32requiredMáximo de tentativas configurado
Example: 5
nextAttemptAtstring · date-timeoptionalPróxima tentativa agendada (nulo se não há retry)
lastAttemptAtstring · date-timeoptionalData da última tentativa
lastResponseStatusinteger · int32optionalHTTP status da última resposta do seu servidor
Example: 200
lastResponseBodystringoptionalBody da última resposta (truncado a 1000 caracteres)
Example: {"received":true}
lastErrorstringoptionalMensagem de erro da última tentativa falha
Example: Connection refused
createdAtstring · date-timerequiredData de criação da entrega (UTC)
pageinteger · int32requiredsizeinteger · int32requiredtotalItemsinteger · int64requiredtotalPagesinteger · int64requiredhasNextbooleanrequiredhasPreviousbooleanrequiredisFirstbooleanrequiredisLastbooleanrequiredcurl -X GET 'https://sandbox-api.rebornpay.io/v1/sellers/{sellerId}/webhooks/deliveries' \ -H 'X-Api-Key: $API_KEY'{
"items": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"webhookId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"webhookUrl": "https://seuservidor.com/webhooks/rebornpay",
"eventType": "TRANSACTION_PAID",
"status": "DELIVERED",
"attemptCount": 1,
"maxAttempts": 5,
"nextAttemptAt": "2025-01-15T10:30:00Z",
"lastAttemptAt": "2025-01-15T10:30:00Z",
"lastResponseStatus": 200,
"lastResponseBody": "{\"received\":true}",
"lastError": "Connection refused",
"createdAt": "2025-01-15T10:30:00Z"
}
],
"page": 1,
"size": 1,
"totalItems": 1,
"totalPages": 1,
"hasNext": false,
"hasPrevious": false,
"isFirst": false,
"isLast": false
}